Name:		dino
Version:	0.4.4
Release:	%mkrel 1
Group:		Networking/Chat
License:	GPLv3
Summary:	Modern XMPP ("Jabber") Chat Client using GTK+/Vala
URL:		https://github.com/dino/dino
Source0:	%{url}/releases/download/v%{version}/dino-%{version}.tar.gz
Source1:	%{url}/releases/download/v%{version}/dino-%{version}.tar.gz.asc
Patch1:		dino-linking.patch
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	ninja-build
BuildRequires:	vala
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gstreamermm-1.0)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libsignal-protocol-c)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libsrtp2)
BuildRequires:	pkgconfig(nice)
BuildRequires:	pkgconfig(webrtc-audio-processing)

%description
A modern XMPP ("Jabber") chat client using GTK+/Vala.

%prep
%autosetup -p1

# Remove the bundled library
rm .gitmodules
rm -r plugins/signal-protocol/libsignal-protocol-c

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang %{name}-omemo
%find_lang %{name}-openpgp

# we don't want devel/headers files
rm -rf %{buildroot}%{_includedir}/*.h
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_datadir}/vala/

%check
ctest

%files -f %{name}.lang -f %{name}-omemo.lang -f %{name}-openpgp.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/im.%{name}.Dino.desktop
%{_datadir}/dbus-1/services/im.%{name}.Dino.service
%{_iconsdir}/hicolor/scalable/apps/im.%{name}.Dino.svg
%{_iconsdir}/hicolor/symbolic/apps/im.%{name}.Dino-symbolic.svg
%{_metainfodir}/im.%{name}.Dino.appdata.xml
%{_libdir}/%{name}/
%{_libdir}/libdino.so.0*
%{_libdir}/libqlite.so.0*
%{_libdir}/libxmpp-vala.so.0*
%{_libdir}/libcrypto-vala.so.0*


%changelog
* Tue Jul 02 2024 daviddavid <daviddavid> 0.4.4-1.mga10
+ Revision: 2078801
- new version: 0.4.4

* Thu Apr 04 2024 daviddavid <daviddavid> 0.4.3-3.mga10
+ Revision: 2054310
- backport upstream patch to fix build with GCC14

* Tue Oct 10 2023 daviddavid <daviddavid> 0.4.3-2.mga10
+ Revision: 1994145
- switch to Gtk4
- rebuild for icu73

* Mon Aug 28 2023 daviddavid <daviddavid> 0.4.3-1.mga10
+ Revision: 1980328
- new version: 0.4.3

* Fri Mar 24 2023 daviddavid <daviddavid> 0.4.2-1.mga9
+ Revision: 1950282
- new version: 0.4.2, fixes CVE-2023-28686 (mga#31726)

* Fri Mar 10 2023 daviddavid <daviddavid> 0.4.1-1.mga9
+ Revision: 1948550
- new version: 0.4.1

* Mon Feb 13 2023 daviddavid <daviddavid> 0.4.0-1.mga9
+ Revision: 1941294
- new version: 0.4.0

* Sat Jan 07 2023 squidf <squidf> 0.3.1-2.mga9
+ Revision: 1931112
- Mass rebuild for icu 72.1

* Fri Nov 04 2022 wally <wally> 0.3.1-1.mga9
+ Revision: 1902923
- new version 0.3.1
- build with libsoup3 (mga#31073)

* Wed Oct 26 2022 ghibo <ghibo> 0.3.0-3.mga9
+ Revision: 1899503
- Rebuild against fresh (mga9) webrt-audio-processing

* Sat Jun 18 2022 squidf <squidf> 0.3.0-2.mga9
+ Revision: 1864848
- rebuild for icu 71.1

* Sat Apr 23 2022 papoteur <papoteur> 0.3.0-1.mga9
+ Revision: 1852837
- Version 0.3.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 04 2021 luigiwalser <luigiwalser> 0.2.1-1.mga9
+ Revision: 1739288
- 0.2.1 (fixes CVE-2021-33896)
- rebuild for icu

* Fri Jan 22 2021 daviddavid <daviddavid> 0.2.0-1.mga8
+ Revision: 1672820
- initial package dino

